<?php


$servidor = $configuration->database->params->host;
$usuario = $configuration->database->params->username;
$contrasena = $configuration->database->params->password;
$nombreDb = $configuration->database->params->dbname;


$con= mysqli_connect($servidor,$usuario,$contrasena);
// Check connection
if (mysqli_connect_errno())
{
	//echo "Failed to connect to MySQL: " . mysqli_connect_error();
}

// Create database
$sql="CREATE DATABASE ".$nombreDb;
if (mysqli_query($con,$sql))
{

	$con=mysqli_connect($servidor,$usuario,$contrasena,$nombreDb);
	// Check connection
	if (mysqli_connect_errno())
	{
	//	echo "Failed to connect to MySQL: " . mysqli_connect_error();
	}
	
	

			
			$nombre_fichero = APPLICATION_PATH.'/app/creacion.sql';
			
			//abrimos el archivo de texto y obtenemos el identificador
			$fichero_texto = fopen ( $nombre_fichero, "r");
			//obtenemos de una sola vez todo el contenido del fichero
			//OJO! Debido a filesize(), sólo funcionará con archivos de texto
			$sql = fread($fichero_texto, filesize($nombre_fichero));
			fclose($fichero_texto);
			
			if(strlen($sql)>5){
		
				$dbAdapter->query($sql);
			}
	
	
	
	
		
	
		
}
